National Vulnerability Database

National Vulnerability Database

National Vulnerability
Database

CVE-2009-2624 Detail

Current Description

The huft_build function in inflate.c in gzip before 1.3.13 creates a hufts (aka huffman) table that is too small, which allows remote attackers to cause a denial of service (application crash or infinite loop) or possibly execute arbitrary code via a crafted archive. NOTE: this issue is caused by a CVE-2006-4334 regression.

Source:  MITRE
View Analysis Description

Severity



CVSS 3.x Severity and Metrics:

NIST CVSS score
NIST: NVD
Base Score: N/A
NVD score not yet provided.

Vendor Statements (disclaimer)

Official Statement from Red Hat (02/02/2010)

Not vulnerable. This issue did not affect the versions of gzip as shipped with Red Hat Enterprise Linux 3, 4, or 5.

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource
http://article.gmane.org/gmane.comp.gnu.gzip.bugs/258
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507263
http://git.savannah.gnu.org/cgit/gzip.git/commit/?id=39a362ae9d9b007473381dba5032f4dfc1744cf2
http://lists.apple.com/archives/security-announce/2010//Nov/msg00000.html
http://lists.opensuse.org/opensuse-security-announce/2010-01/msg00009.html
http://support.apple.com/kb/HT4435
http://www.debian.org/security/2010/dsa-1974
http://www.mandriva.com/security/advisories?name=MDVSA-2010:020
http://www.ubuntu.com/usn/USN-889-1
http://www.vupen.com/english/advisories/2010/0185
https://bugzilla.redhat.com/show_bug.cgi?id=514711

Weakness Enumeration

CWE-ID CWE Name Source
CWE-20 Improper Input Validation NIST  

Known Affected Software Configurations Switch to CPE 2.2

Configuration 1 ( hide )
 cpe:2.3:a:gnu:gzip:1.2.4:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:gnu:gzip:1.2.4a:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:gnu:gzip:1.3:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:gnu:gzip:1.3.1:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:gnu:gzip:1.3.2:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:gnu:gzip:1.3.3:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:gnu:gzip:1.3.4:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:gnu:gzip:1.3.5:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:gnu:gzip:1.3.6:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:gnu:gzip:1.3.7:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:gnu:gzip:1.3.8:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:gnu:gzip:1.3.9:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:gnu:gzip:1.3.10:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:gnu:gzip:1.3.11:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:gnu:gzip:*:*:*:*:*:*:*:*
     Show Matching CPE(s)
Up to (including)
1.3.12


Change History

1 change record found - show changes

Quick Info

CVE Dictionary Entry:
CVE-2009-2624
NVD Published Date:
01/29/2010
NVD Last Modified:
11/18/2010